import java.util.ArrayList;
import java.util.List;

import org.apache.logging.log4j.Level;

public class LongRunner {

	private static Logger LOG = Logger.getInstance();

	/**
	 * Startmethode
	 *
	 * @param args
	 */
	public static void main(String[] args) {
		String s = "typewriter";
		for (int i = 0; i < Integer.MAX_VALUE; i++) {
			s = randomSort(s);

			LOG.log(Level.INFO, s);

			if (s.equals("eeiprrttwy")) {
				System.out.println(s);
				break;
			}

			if (i == Integer.MAX_VALUE - 1) {
				i = 0;
				LOG.log(Level.INFO, "Reset!");
			}
		}
	}

	/**
	 * Mischt die Zeichen des bergebenen Strings.
	 *
	 * @param value
	 *            - String Wert welcher gemischt werden soll.
	 * @return - der gemischte String
	 */
	private static String randomSort(String value) {
		List<Character> characters = new ArrayList<Character>();
		for (char c : value.toCharArray()) {
			characters.add(c);
		}
		StringBuilder output = new StringBuilder(value.length());
		while (characters.size() != 0) {
			int randPicker = (int) (Math.random() * characters.size());
			output.append(characters.remove(randPicker));
		}
		return output.toString();
	}

}
